/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <sys/vfs.h>
#include <mntent.h>

/** fonctions de modification du clist **/
void clist_set_lines_removable (void);
void clist_set_line_unremovable (gint line);
void clist_remove_old_lines (void);
gboolean clist_test_case_vide (gint line);
gboolean clist_test_case_texte (gint line,
				gint colonne,
				gchar *text);
gint clist_find_line (gchar *mount_point);
gboolean clist_line_needs_update (gint line,
				  gchar **sys);
void clist_update (gint action,
		   gint line,
		   gchar **sys);
void clist_pre_update (filesystem_t *sys);
void clist_make_pixmap (gint line,
			gint percent);

/** fonctions de recherche et de gestion de la liste **/
gchar *list_filesystem_percent (glong all,
				glong value);
gchar *list_filesystem_size (glong blocks,
			     glong value);
void list_filesystem_info (gchar *mount_point,
			   filesystem_t *sys);
void list_mounted_filesystem (struct mntent *mnt,
			      filesystem_t *sys);
void list_not_mounted_filesystem (struct mntent *mnt,
				  filesystem_t *sys);
gboolean list_search (filesystem_t *sys,
		      gchar *text);
void list_free (filesystem_t *sys);
void list_filesystems (void);
gboolean clist_main_update (void);
