/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "main.h"
#include "interface.h"
#include "diskfree.h"
#include "configure.h"
#include "callbacks.h"
#include "menus.h"

void
gui_init (gint argc , gchar **argv)
{
  gtk_init(&argc, &argv);
  
  main_gtk_window();
  create_popup_menu();
  set_main_window_position_size();
  affichage_status_bar_timeout(NULL, REFRESH);
  init_sort_way();
  
  return;
}

void
main_quit ()
{
  write_config_file(options);
  gtk_main_quit();
  return;
}

gint
main(gint argc, gchar **argv)
{

#ifdef ENABLE_NLS
  gtk_set_locale();
  bindtextdomain(PACKAGE, LOCALEDIR);
  textdomain(PACKAGE);
#endif

  options_init(argc, argv);

  gui_init(argc, argv);
  
  gtk_main();
  
  return 0;
}
