/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*---- i18n support ----*/
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#undef _
#define _(String) gettext (String)
#ifdef gettext_noop
#define N_(String) gettext_noop (String)
#else
#define N_(String) (String)
#endif /* gettext_noop */
#else
#define textdomain(S) (S)
#define gettext(S) (S)
#define dgettext(D,M) (M)
#define dcgettext(D,M,T) (M)
#define _(S) (S)
#define N_(S) (S)
#endif
/*----*/

#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <gtk/gtk.h>

#define NBRE_COLONNES            12

#define STATUS_COLUMN            0
#define STATE_COLUMN             1
#define FILESYSTEM_COLUMN        2
#define SIZE_COLUMN              3
#define USED_SPACE_COLUMN        4
#define FREE_SPACE_COLUMN        5
#define USED_PERCENT_COLUMN      6
#define FREE_PERCENT_COLUMN      7
#define FILESYSTEM_TYPE_COLUMN   8
#define MOUNT_OPTIONS_COLUMN     9
#define MOUNT_POINT_COLUMN       10
#define CAPACITY_COLUMN          11

#define ADD                      0
#define INSERT                   1
#define UPDATE                   2
#define REMOVE                   3
#define DEFAULT                  4
#define READ                     5
#define WRITE                    6
#define MOUNT                    7
#define UMOUNT                   8

#define OLD                      "0"
#define NEW                      "1"
#define MOUNT                    "2"
#define UMOUNT                   "3"
#define REFRESH                  "4"
#define STOP                     "5"

#define CONFIG_DIRECTORY         "/.gtkdiskfree/"
#define CONFIG_FILENAME          "config"
#define MTAB_FILESYSTEMS         "/etc/mtab"
#define FSTAB_FILESYSTEMS        "/etc/fstab"

typedef struct
{
  gint window_position[2];
  gint window_size[2];
  gint blocks;
  gint virtual_blocks;
  gint not_mounted_blocks;
  gint sort_by;
  gint sort_type;
  gint menubar;
  gint toolbar;
  gint show_all_columns;
  gint hided_columns[NBRE_COLONNES];
  gint color_levels[2];
  gint color_percent;
  gint degrade;
  gdouble color1[3];
  gdouble color2[3];
  gdouble time;
} preferences_t;

typedef struct
{
  GtkWidget *label;
  GtkWidget *hbox;
  GtkWidget *arrow[2];
} titles_column;

typedef struct
{
  gchar *file[NBRE_COLONNES];
  gint mounted;
  gint real;
  gint line;
} filesystem_t;

preferences_t *options;
preferences_t *preferences;
titles_column clist_titles[NBRE_COLONNES];

gint color_update;
gint selected_line;
gint timeout;
gint block_size_status;
gint timeout_status;

GtkWidget *main_window;
GtkWidget *clist, *clist_box;
GtkWidget *status_bar_block;
GtkWidget *status_bar_timeout;
GtkWidget **entry_options;
GtkWidget *popup;
GtkWidget *menu_handle_box;
GtkWidget *tool_handle_box;

void main_quit ();
void gui_init(gint argc,
	      char **argv);
