/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.
  Copyright (C) 2001-2002  Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define HORIZONTAL 0
#define VERTICAL   1

/* Build */
void set_pixmap_color (GdkWindow *window,
		       GtkWidget *pixmap,
		       gint width, gint height,
		       gdouble *color);
GtkWidget *create_pixmap_from_color (GdkWindow *window,
				     gint width, gint height,
				     gdouble *color);
GtkWidget *create_pixmap_from_data (GdkWindow *window,
				    gchar **icon);
void add_menu_separator (GtkWidget *menu);
void add_vhseparator (GtkWidget *box, gint orientation);
GtkWidget *add_button (gchar *title, GtkWidget *box, gint expand);
GtkWidget *add_menu (GtkWidget *item);
GtkWidget *add_menu_item (gchar *title,
			  GtkWidget *menu);
GtkWidget *add_scale (gchar *title, gint *value,
		      GtkWidget *box);
GtkWidget *add_check (gchar *title, gint *value,
		      GtkWidget *box);
GtkWidget *add_radio (gchar *title, gint *value,
		      gchar *signal, GtkWidget *from,
		      GtkWidget *box);
GtkWidget *add_node (GtkNotebook *notebook,
		     gchar *notebook_label,
		     GtkCTree *ctree,
		     gchar *ctree_label,
		     GtkCTreeNode *parent,
		     GtkCTreeNode **new_node,
		     gint index);
gboolean window_destroy(GtkWidget *widget,
			GtkWidget **window);
/* Signal */
gboolean scale_changed (GtkAdjustment *adj,
			gint *value);
gboolean radio_button_clicked (GtkWidget *button,
			       gpointer message);
gboolean check_button_clicked (GtkWidget *button,
			       gint *value);
gboolean ctree_clicked (GtkWidget *ctree,
			GtkCTreeNode *node);
void set_widget_sensitivity (GtkWidget *widget);
